List Inbound Emails
curl --request GET \
--url https://api.e-invoice.be/api/mailbox/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.e-invoice.be/api/mailbox/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.e-invoice.be/api/mailbox/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.e-invoice.be/api/mailbox/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://api.e-invoice.be/api/mailbox/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"items": [
{
"id": "<string>",
"message_id": "<string>",
"sender_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"sender_name": "<string>",
"to_addresses": "<string>",
"cc_addresses": "<string>",
"bcc_addresses": "<string>",
"subject": "<string>",
"attachments": [],
"attachment_count": 0,
"processed": false,
"error_message": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"document_id": "<string>"
}
],
"total": 123,
"page": 123,
"page_size": 123,
"pages": 123,
"has_next_page": true
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Mailbox
List Inbound Emails
Retrieve a paginated list of received inbound emails with filtering, search, and sorting options.
GET
/
api
/
mailbox
/
List Inbound Emails
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Filter by status: pending, success, or failed. Takes precedence over processed if both are provided.
Available options:
pending, success, failed Filter by processing status. If not provided, returns all. Ignored when status is set.
Inclusive lower bound on received date (falls back to created_at when received_at is null)
Inclusive upper bound on received date (falls back to created_at when received_at is null)
Case-insensitive search across sender email, subject, message ID, and attachment filenames
Field to sort by
Available options:
received_at, created_at Sort direction (asc/desc)
Available options:
asc, desc ⌘I